
function dirfill_submit(e) {
	e.preventDefault();
	for (var i=0; i<dirlist.length; i++) {
		var dir = dirlist[i].name;
		var dirselect = md5(dir);
		if (!$('#'+dirselect+'-add').is(':checked'))
			continue;
		var postData = {
			path: dir,
			name: $('#'+dirselect+'-name').val(),
			date: $('#'+dirselect+'-date').val(),
			comment: $('#'+dirselect+'-comment').val(),
			tags: '',
			isnew: ($('#'+dirselect+'-new').val() == 1)?'true':'false',
		};
		console.log('ajax', postData);
		$.ajax({
			url: 'dirfill.php',
			method: 'post',
			data: postData,
			dataType: 'text',
			error: function(e) {
				console.error('dirfill_submit error:', e);
			},
			complete: function(data) {
				console.log(data.responseText);
			},
		});
	}
	
	return false;
}

function addSelectAll(e) {
	e.preventDefault();
	$('.addBox').prop('checked', true);
}

function addDeselectAll(e) {
	e.preventDefault();
	$('.addBox').prop('checked', false);
}

$( document ).ready(function() {
	$('#addSelectAll').click(addSelectAll);
	$('#addDeselectAll').click(addDeselectAll);
});

